# Class FpsQualityAutoscaler

Set the quality of rendering based on FPS values.

When using this the size of the canvas must be fixed with CSS.

The `addDeltaTime` method should be called once every frame.

Usage:

     const renderer = await compile(...);
     const autoscaler = new FpsQualityAutoscaler(renderer);

- Defined in graphics/rendering/fps-quality-autoscaler.ts:17

##### Index

### Constructors

constructor

### Properties

fpsHysteresis
fpsTarget

### Accessors

FPS

### Methods

addDeltaTime

## Constructors

### constructor

- new FpsQualityAutoscaler(renderer: Renderer): FpsQualityAutoscaler

  #### Parameters

  - renderer: Renderer

  #### Returns FpsQualityAutoscaler

  - Defined in graphics/rendering/fps-quality-autoscaler.ts:26

## Properties

### fpsHysteresis

fpsHysteresis: number = 5

- Defined in graphics/rendering/fps-quality-autoscaler.ts:24

### `Static` fpsTarget

fpsTarget: number = 30

- Defined in graphics/rendering/fps-quality-autoscaler.ts:23

## Accessors

### FPS

- get FPS(): number

  #### Returns number

  - Defined in graphics/rendering/fps-quality-autoscaler.ts:28

## Methods

### addDeltaTime

- addDeltaTime(deltaTimeInMilliseconds: number): void

  Autoscaling is also done by calling this function

  #### Parameters

  - deltaTimeInMilliseconds: number

  #### Returns void

  - Defined in graphics/rendering/fps-quality-autoscaler.ts:39